NEWS

TR-064 terminated with code 1


  • Starter

    Ich habe mir gestern das erste Mal den ioBroker (v1.5.14) auf meinem neuen Rpi4 mit 4GB RAM installiert und bekomme z.B. den Adapter FHEM einwandfrei angezeigt. Leider habe ich Probleme mit dem Adapter AVM TR-64 (v0.4.14). Die Zugangsdaten für die Fritzbox sind korrekt und einem Hinweis einen anderen anderen Adapter aus GitHub zu installieren wollte ich erstmal nicht gleich nach gehen, da ich ja eine aktuelle Version des ioBrokers installiert habe, und hier auf Rückmeldung warten. Den TR-64 Adapter hatte ich bereits 1x entfernt und noch einmal neu geladen.

    Kann mir jemand sagen was dieser Log über das Problem aussagt.

    host.rpi	2019-10-22 08:47:36.182	info	Restart adapter system.adapter.tr-064.0 because enabled
    host.rpi	2019-10-22 08:47:36.182	error	instance system.adapter.tr-064.0 terminated with code 1 ()
    Caught	2019-10-22 08:47:36.182	error	by controller[0]: at bootstrapNodeJSCore (internal/bootstrap/node.js:622:3)
    Caught	2019-10-22 08:47:36.182	error	by controller[0]: at startup (internal/bootstrap/node.js:283:19)
    Caught	2019-10-22 08:47:36.182	error	by controller[0]: at Function.Module.runMain (internal/modules/cjs/loader.js:831:12)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: at Function.Module._load (internal/modules/cjs/loader.js:585:3)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: at tryModuleLoad (internal/modules/cjs/loader.js:593:12)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: at Module.load (internal/modules/cjs/loader.js:653:32)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: at Object.Module._extensions..js (internal/modules/cjs/loader.js:789:10)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: at Module._compile (internal/modules/cjs/loader.js:778:30)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: at Object.<anonymous> (/opt/iobroker/node_modules/iobroker.tr-064/tr-064.js:15:20)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: at Object.exports.Adapter (/opt/iobroker/node_modules/soef/soef.js:1383:23)
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: TypeError: fns.adapter is not a function
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: ^
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: fns.adapter = fns.adapter(options);
    Caught	2019-10-22 08:47:36.181	error	by controller[0]: /opt/iobroker/node_modules/soef/soef.js:1383
    host.rpi	2019-10-22 08:47:35.408	info	instance system.adapter.tr-064.0 started with pid 29927
    

    Gruß Markus


  • Developer Most Active

    der Fehler ist gefühlt 100 mal besprochen worden .. bitte nutzt die Suchfunktion


  • Forum Testing Most Active

    @funkytown Stichwort soef....so als tipp



  • @funkytown
    oder TR064-community wird auch 100 Treffer bringen, wir wohl aber bei der Suche nach soef aber gleich mit dabei stehen.


  • Starter

    @arteck said in TR-064 terminated with code 1:

    der Fehler ist gefühlt 100 mal besprochen worden .. bitte nutzt die Suchfunktion

    Ich hatte die 1 Jahr alte Lösung hier im Forum gefunden!
    Kannst du mir aber einmal erklären weshalb ein 1 Jahr altes, und bereits seit langem gelöstes Problem, noch nicht in einer Neuinstalation des ioBrokers eingeflossen ist?

    Ich habe das Problem jetzt gelöst und der Adapter ist auf Status "grün"

    Gruß Markus



  • @funkytown
    dazu gibts auch ne Antwort, oder was glaubst Du gibt es die Community Version des Adapter? Genau, weil das die Lösung des ein Jahr alten Problem darstellt und auch reichlich erklärt wurde😊

    Ich fasse es aber noch mal zusammen. Der Entwickler SOEF macht nichts mehr und alle seine Adapter haben sein eigenes Modul soef mit drin, das Probleme macht. Somit gibt es zwei Lösungen, erstens soef nachinstallieren (geht aber wohl mit aktuellem JS-Controller nicht mehr), oder der sichere Weg, die community Version verwenden, weil wie der Name schon sagt nun von der Community gepflegt wird.



  • @funkytown sagte in TR-064 terminated with code 1:

    Kannst du mir aber einmal erklären weshalb ein 1 Jahr altes, und bereits seit langem gelöstes Problem

    womöglich weil DU die Anpassung/Entwicklung einfach nicht gemacht und anschließend hier reingestellt hast?

    Und zudem kommt es dir nicht darauf an EINE Lösung zu erhalten, sondern Du forderst eine BESTIMMTE, dir genehme Lösung?
    Dann schlage ich vor, dass Du dich hier entsprechend einbringst!!

    Fordern und meckern ist immer leicht ...


  • Developer

    @funkytown das Problem kommt von npm, der Paketverwaltung für nodejs, und daher das der Entwickler soef seit mehr als einem Jahr nichts mehr macht.
    Es gibt zwar eine Community version die die Alte Version ersetzen sollte, aber da scheint auch noch nicht alles rund zu Laufen. Deshalb wurde sie noch nicht Veröffentlöicht.


  • Starter

    @Jey-Cee said in TR-064 terminated with code 1:

    @funkytown das Problem kommt von npm, der Paketverwaltung für nodejs, und daher das der Entwickler soef seit mehr als einem Jahr nichts mehr macht.
    Es gibt zwar eine Community version die die Alte Version ersetzen sollte, aber da scheint auch noch nicht alles rund zu Laufen. Deshalb wurde sie noch nicht Veröffentlöicht.

    Vielen Dank für Deine ordentliche und verständliche Erklärung.
    Jetzt weiß ich wie ich zukünftig mit Problemlösungen umgehen muss!

    Gruß Markus


  • Developer

    @funkytown sagte in TR-064 terminated with code 1:

    Jetzt weiß ich wie ich zukünftig mit Problemlösungen umgehen muss!

    Da möchte ich doch kurz Nachhaken.
    Kannst du kurz Erläutern wie du Zukünftig mit Problemlösungen umgehen musst?


Log in to reply
 

Suggested Topics

1.6k
Online

32.0k
Users

38.7k
Topics

525.2k
Posts